:root {
  --font-family-system-sans: -apple-system, 'BlinkMacSystemFont', 'Segoe UI',
    'Roboto', 'Inter', 'Helvetica', 'Arial', sans-serif;
  --font-size-large: 1.125rem;
  --font-size-base: 1rem;
  --font-size-small: 0.875rem;
  --font-size-x-small: 0.75rem;
  --font-weight-base: 400;
  --font-weight-bold: 700;
  --line-height-small: 1.5714285;
  --line-height-xx-small: 1.375;
  --color-base: #202122;
  --color-subtle: #54595d;
  --color-disabled: #72777d;
  --color-progressive: #36c;
  --color-progressive--hover: #447ff5;
  --color-progressive--active: #2a4b8d;
  --color-success: #14866d;
  --color-error: #d73333;
  --color-warning: #edab00;
  --color-inverted: #fff;
  --color-interactive--hover: #404244;
  --color-interactive--active: #101418;
  --border-width-base: 1px;
  --border-style-base: solid;
  --border-color-base: #a2a9b1;
  --border-color-subtle: #c8ccd1;
  --border-color-interactive: #72777d;
  --border-color-progressive: #36c;
  --border-color-progressive--hover: #447ff5;
  --border-radius-base: 2px;
  --background-color-base: #fff;
  --background-color-disabled: #c8ccd1;
  --background-color-subtle: #f8f9fa;
  --background-color-notice-subtle: #eaecf0;
  --background-color-warning-subtle: #fef6e7;
  --background-color-success-subtle: #d5fdf4;
  --background-color-error-subtle: #fee7e6;
  --background-color-interactive-subtle: #f8f9fa;
  --background-color-interactive-subtle--hover: #fff;
  --background-color-interactive-subtle--active: #eaecf0;
  --background-color-donate-banner: #f0bc00;
  --background-color-survey-banner: #eaf3ff;
  --box-shadow-drop-medium: 0 2px 2px 0 rgba(0, 0, 0, 0.2);
  --spacing-25: 4px;
  --spacing-50: 8px;
  --spacing-75: 12px;
  --spacing-100: 16px;
}

* {
  box-sizing: border-box;
}

.wrapper {
  font-family: var(--font-family-system-sans);
  font-size: var(--font-size-small);
  line-height: var(--line-height-xx-small);
  color: var(--color-base);
  background-color: var(--background-color-base);
  overflow: hidden;
  width: 100vw;
  height: 100vh;
}

.mainContent {
  display: flex;
  flex-direction: column;
  align-items: center;
  flex-grow: 1;
}

.container {
  display: flex;
  flex-direction: column;
  height: 100vh;
  max-height: 100%;
  overflow: auto;
}

.explanation {
  margin-top: 18px;
  align-self: flex-start;
}

.verifyButtonContainer {
  margin: var(--spacing-100);
  width: calc(100% - 32px);
  display: flex;
  flex-direction: row;
  justify-content: stretch;
  gap: var(--spacing-100);
  padding-bottom: 8px;
}

.verificationIconVerifying,
.verificationIconTrue,
.verificationIconFalse,
.verificationIconUnknown {
  font-size: 2rem;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  margin-top: 12px;
  color: white;
  width: 48px;
  height: 48px;
  border-radius: 100%;
  text-align: center;
}

.verificationIconTrue {
  background-color: rgba(5, 115, 58, 0.608);
}

.verificationIconFalse {
  background-color: red;
}

.verificationIconUnknown {
  background-color: orange;
}

.logo {
  height: 24px;
  width: 24px;
  margin-right: 8px;
}

.progress {
  width: 100%;
  margin-top: 24px;
  text-align: center;
}

.progressText {
  font-size: 0.8rem;
  color: #666;
}

.progressBar {
  width: 80%;
  height: 16px;
}

.currentStepContainer {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  width: 100%;
  gap: var(--spacing-50);
  padding: var(--spacing-100);
  font-weight: var(--font-weight-bold);
}

.previousStep {
  color: #72777d;
}

.explanationContainer {
  width: calc(100% - 24px);
  padding: var(--spacing-100) 0 24px;
}

.noArticlesTextContainer {
  width: 100%;
  padding: var(--spacing-100) var(--spacing-100) 0;
  color: var(--color-subtle);
  line-height: 1.5;
}

.noArticlesTextContainer div:first-of-type {
  margin-bottom: var(--spacing-100);
}

.explanationHeader {
  font-size: 1.1rem;
  line-height: 1.5;
  color: #333;
  font-weight: 700;
}

.explanation {
  font-size: 0.8rem;
  line-height: 1.5;
  color: #333;
}

.interactionStepIndicator {
  width: 24px;
  height: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.interactionStep {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 8px;
}

.interactionStepText {
  font-weight: var(--font-weight-base);
  padding-top: 2px;
}

.futureInteractionStep {
  color: var(--color-disabled);
}

.usageNotAccepted {
  padding-left: var(--spacing-100);
  padding-right: var(--spacing-100);
  display: flex;
  flex-direction: row;
  gap: var(--spacing-50);
  align-items: top;
}

.usageNotAccepted span {
  line-height: 1.3rem;
}

.usageNotAccepted a {
  color: var(--color-progressive);
  text-decoration: none;
  cursor: pointer;
}

.container a:hover {
  text-decoration: underline;
}

.checkbox {
  margin: 0;
  min-width: 20px;
  min-height: 20px;
  width: 1.25rem;
  height: 1.25rem;
  border-color: var(--border-color-interactive);
  border-radius: 2px;
}

.buttonSeperator {
  margin: calc(var(--spacing-50) * -1) 0;
  padding: 0;
  color: var(--color-subtle);
}
